Gnash is one of the FSF and GNU Project's high priority projects


Original press release

The first alpha release of Gnash has just been made at version 0.7.1. Gnash is a GPL'd Flash movie player and browser plugin for Firefox, Mozilla, Konqueror, and Opera. Gnash supports many SWF v7 features and ActionScript3 classes. Gnash also runs on many GNU/Linux distributions, embedded GNU/Linux, FreeBSD, NetBSD, OpenBSD, non x86 processors, and 64 bit architectures. Ports to Darwin and Windows are in progress for a future release. The plugin works best with Firefox 1.5 or newer, and should work in any Mozilla based browser. There is also a standalone player for GNOME or KDE based desktops.

Gnash supports the majority of Flash opcodes up to SWF version 7, and a wide sampling of ActionScript classes for SWF version 8.5. All the core ones are implemented, and many of the newer ones work, but may be missing some of their methods. If the browser only displays a blank window, it is likely because of an unimplemented feature. All unimplemented opcodes and ActionScript classes and methods print a warning when using -v with gnash or gprocessor. Using gprocessor -v is a quick way to see why a movie isn't playing correctly.

You can grab the Gnash sources from ftp://ftp.gnu.org/pub/gnu/gnash/, or from Gnash CVS with the tag "release_0_7_1". Binary packages for Debian or RPM based systems will be available from your GNU/Linux distribution, and from whatever BSD variant you are using. Please report packaging bugs upstream to your distribution. If you think you have found a bug in Gnash, then you should file as complete a report as possible at https://savannah.gnu.org/bugs/?group=gnash. Patches are always preferred to bug reports, as this is a community project. You can submit patches at https://savannah.gnu.org/patch/?group=gnash, or email them to gnash-dev@gnu.org.

Please include the operating system name and version, compiler version, and which gnash version you are using, in your bug reports. For bugs in the plugin, please also add the browser and it's version. Gnash does not support Firefox versions below 1.5.

Questions about Gnash or offers of help can go to the developers email list at gnash-dev@gnu.org.

Here are the MD5/SHA1 checksums:

* ccc82d6b90b2f8224e282ddf3fbf9ab8 gnash-0.7.1.tar.bz2
* 0891130001fd7a8120db8b4c1dc07d56 gnash-0.7.1.tar.bz2.sig
* 5be573aee58237ea8d20c0abe3f59933 gnash-0.7.1.tar.gz
* 970a27f999903b70d2f9a86035c372cf gnash-0.7.1.tar.gz.sig